From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-electronics/iverilog/
Date: Mon, 10 Apr 2023 07:37:30 +0000 (UTC) [thread overview]
Message-ID: <1681112243.f53802382c4fc5073387abd486118da5970dae34.juippis@gentoo> (raw)
commit: f53802382c4fc5073387abd486118da5970dae34
Author: Huang Rui <vowstar <AT> gmail <DOT> com>
AuthorDate: Fri Mar 31 04:22:42 2023 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Apr 10 07:37:23 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f5380238
sci-electronics/iverilog: add 12.0
Signed-off-by: Huang Rui <vowstar <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
sci-electronics/iverilog/Manifest | 1 +
sci-electronics/iverilog/iverilog-12.0.ebuild | 65 +++++++++++++++++++++++++++
2 files changed, 66 insertions(+)
diff --git a/sci-electronics/iverilog/Manifest b/sci-electronics/iverilog/Manifest
index 7fe42d17f047..4b6c9faac096 100644
--- a/sci-electronics/iverilog/Manifest
+++ b/sci-electronics/iverilog/Manifest
@@ -1,2 +1,3 @@
DIST iverilog-10.3.tar.gz 1600835 BLAKE2B 107c57c61fb27c18f4020f7853bf6ca83d1a86fdc73c57ea207828baf6b7a26d42e43ce7b33580f050a4c0b8f63bca6accecf678323a3bbbee1eb9c1d8fa2caa SHA512 67076e19a208576c21a0462ff7d15d00a9d47740c47518a5523bd928b3118360d85eb84c317963717d15e5246ece3727259f6ff3baf59e195340530cc9086a1d
DIST iverilog-11.0.tar.gz 1682457 BLAKE2B ba90574e1453a095143e76e5dc79bb2357a721fc62c24f0fb23d220458819cb3b8ea8494410ce956e68831b682b61f27f64e94e9c166a69e5f6d5d30a8269a11 SHA512 5d6a65e1c3b6b62e99af708cd5a259cc69c6b789dd6eff69e225903d9b8c115d9e5d6f7635b30c6558197cd0ee6fd8196a163fbd98956e24c211d97328b85056
+DIST iverilog-12.0.tar.gz 2995096 BLAKE2B 7e1d4d8302168da3d38aac113daaaa62b80e59d7485be142443cd57ef346e788d9b58564af491a0ad58f64c06e475696238205f3e673f10da3c2cd417020fbed SHA512 a8e112f760903335ef2fbf00529e5fe282b83c1f583c4316373b9410d7fad2a53d5c4adb82dd62491c14a620cb5b1fab117cb0cde638c86b65fe5b7b0dd07152
diff --git a/sci-electronics/iverilog/iverilog-12.0.ebuild b/sci-electronics/iverilog/iverilog-12.0.ebuild
new file mode 100644
index 000000000000..43fe2c27ba04
--- /dev/null
+++ b/sci-electronics/iverilog/iverilog-12.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+GITHUB_PV=$(ver_rs 1- '_')
+
+DESCRIPTION="A Verilog simulation and synthesis tool"
+HOMEPAGE="
+ http://iverilog.icarus.com
+ https://github.com/steveicarus/iverilog
+"
+
+if [[ ${PV} == "9999" ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/steveicarus/${PN}.git"
+else
+ SRC_URI="https://github.com/steveicarus/${PN}/archive/v${GITHUB_PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+ S="${WORKDIR}/${PN}-${GITHUB_PV}"
+fi
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+
+DEPEND="
+ sys-libs/readline:=
+ sys-libs/zlib
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+ dev-util/gperf
+ sys-devel/bison
+ sys-devel/flex
+"
+
+src_prepare() {
+ default
+
+ # From upstreams autoconf.sh, to make it utilize the autotools eclass
+ # Here translate the autoconf.sh, equivalent to the following code
+ # > sh autoconf.sh
+
+ # Autoconf in root ...
+ eautoconf
+
+ # Precompiling lexor_keyword.gperf
+ gperf -o -i 7 -C -k 1-4,6,9,\$ -H keyword_hash -N check_identifier -t ./lexor_keyword.gperf \
+ > lexor_keyword.cc || die
+ # Precompiling vhdlpp/lexor_keyword.gperf
+ cd vhdlpp || die
+ gperf -o -i 7 --ignore-case -C -k 1-4,6,9,\$ -H keyword_hash -N check_identifier -t ./lexor_keyword.gperf \
+ > lexor_keyword.cc || die
+}
+
+src_install() {
+ local DOCS=( *.txt )
+
+ default
+
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+}
next reply other threads:[~2023-04-10 7:37 UTC|newest]
Thread overview: 34+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-04-10 7:37 Joonas Niilola [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-12-09 17:01 [gentoo-commits] repo/gentoo:master commit in: sci-electronics/iverilog/ Arthur Zamarin
2023-06-25 4:48 Sam James
2023-06-25 3:13 Sam James
2023-04-10 7:37 Joonas Niilola
2021-02-28 21:37 Sam James
2021-02-28 21:37 Sam James
2021-02-28 17:39 Sam James
2021-02-28 17:39 Sam James
2021-02-27 17:08 Sam James
2021-02-25 13:54 Agostino Sarubbo
2020-10-17 16:41 Joonas Niilola
2020-10-17 16:41 Joonas Niilola
2020-10-17 16:41 Joonas Niilola
2020-10-11 9:30 Joonas Niilola
2020-10-11 9:30 Joonas Niilola
2020-10-11 9:30 Joonas Niilola
2020-09-14 18:36 Sam James
2020-09-14 18:26 Sam James
2020-09-14 18:26 Sam James
2020-06-29 6:24 Agostino Sarubbo
2020-06-28 20:41 Agostino Sarubbo
2020-06-18 12:08 Joonas Niilola
2020-06-18 12:08 Joonas Niilola
2020-03-22 10:37 Agostino Sarubbo
2020-03-22 8:51 Mikle Kolyada
2020-02-18 10:07 Sergei Trofimovich
2020-02-18 10:07 Sergei Trofimovich
2020-01-07 6:20 Joonas Niilola
2020-01-07 6:20 Joonas Niilola
2020-01-07 6:20 Joonas Niilola
2020-01-07 6:20 Joonas Niilola
2020-01-05 10:10 Joonas Niilola
2018-01-26 21:36 David Seifert
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1681112243.f53802382c4fc5073387abd486118da5970dae34.juippis@gentoo \
--to=juippis@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox